Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html
Class ResourceLibraryRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.html.ResourceRenderer
              org.richfaces.renderkit.html.ResourceLibraryRenderer

    public class ResourceLibraryRenderer

extends ResourceRenderer

Author:
  Nick Belaevski

Field Summary
`static String` | `RENDERER_TYPE`
`static String` | `RESOURCE_LIBRARY_EXTENSION`

Constructor Summary
`ResourceLibraryRenderer()`

Method Summary
`void` | `encodeEnd(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`

Methods inherited from class org.richfaces.renderkit.html.ResourceRenderer
`encodeDependentResources, encodeResource`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, encodeBegin, encodeChildren, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final String RENDERER_TYPE

See Also:
  Constant Field Values

### RESOURCE_LIBRARY_EXTENSION

    public static final String RESOURCE_LIBRARY_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### ResourceLibraryRenderer

    public ResourceLibraryRenderer()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)
                   throws IOException

  Overrides:
    `encodeEnd` in class `javax.faces.render.Renderer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.